<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/material/Dt_MaterielInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/material/Dt_MaterielInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'materielID',
            footer: "Foots",
            cnName: '物料信息',
            name: 'material/Dt_MaterielInfo',
            url: "/Dt_MaterielInfo/",
            sortName: "MaterielID"
        });
        const editFormFields = ref({
            "materielCode": "",
            "materielName": "",
            "packspes": "",

        });
        const editFormOptions = ref([
            [
                { "title": "物料编码", "field": "materielCode", type: "text" },
                { "title": "物料名称", "field": "materielName", type: "text" },
                { "title": "包装规格", "field": "packspes", type: "text" },
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "物料ID", "field": "materielID", type: "text" },
                { "title": "物料编码", "field": "materielCode", type: "text" },
                { "title": "物料名称", "field": "materielName", type: "text" },
                { "title": "包装规格", "field": "packspes", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'materielID', title: '物料ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'materielCode', title: '物料编号', type: 'string', width: 110, align: 'left', sort: true },
        { field: 'materielName', title: '物料名称', type: 'string', width: 120, align: 'left' },
        { field: 'packspes', title: '规格', type: 'string', width: 110, align: 'left' },
        { field: 'attribute', title: '属性', type: 'string', width: 110, align: 'left' },
        { field: 'unit', title: '单位', type: 'string', width: 110, align: 'left' },
        { field: 'wareAreaCode', title: '所属库区', type: 'string', width: 110, align: 'left' },
        { field: 'minpackQty', title: '最小包装', type: 'decimal', width: 110, align: 'left' },
        { field: 'netweight', title: '净重', type: 'decimal', width: 110, align: 'left' },
        { field: 'grossweight', title: '毛重', type: 'decimal', width: 110, align: 'left' },
        { field: 'status', title: '当前状态', type: 'int', width: 110, align: 'left' },
        { field: 'validity', title: '有效期', type: 'int', width: 110, align: 'left' },
        { field: 'safety', title: '安全库存', type: 'decimal', width: 110, align: 'left' },
        { field: 'mfacturer', title: '生产商', type: 'string', width: 120, align: 'left' },
        { field: 'supplier', title: '供应商', type: 'string', width: 120, align: 'left' },
        { field: 'remark', title: '备注', type: 'string', width: 120, align: 'left' },
        { field: 'materielDesc', title: '物料描述', type: 'string', width: 110, align: 'left', hidden: true },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },
        { field: 'spare1', title: 'Spare1', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare2', title: 'Spare2', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare3', title: 'Spare3', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare4', title: 'Spare4', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare5', title: 'Spare5', type: 'string', sort: true, width: 110, hidden: true, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
